org.eclipse.rdf4j.federated.endpoint

## Class RepositoryEndpoint

- java.lang.Object
- - org.eclipse.rdf4j.federated.endpoint.EndpointBase
  - - org.eclipse.rdf4j.federated.endpoint.RepositoryEndpoint

- All Implemented Interfaces:
    Endpoint
  Direct Known Subclasses:
    ManagedRepositoryEndpoint

      public class RepositoryEndpoint
      extends EndpointBase

  A specialized `Endpoint` that has a reference to a configured `Repository`.

  Note that this implementation does not take care for the lifecycle of the repository. If the lifecycle of the `Repository` should be managed by FedX, consider using `ManagedRepositoryEndpoint`

  Author:
    Andreas Schwarte

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.federated.endpoint.EndpointBase

      `EndpointBase.ManagedRepositoryConnection`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Repository` | `repository`

    - ### Fields inherited from class org.eclipse.rdf4j.federated.endpoint.EndpointBase

      `endpoint, endpointClassification, endpointConfiguration, initialized, log, repoInfo, tripleSource, writable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryEndpoint(RepositoryInformation repoInfo, String endpoint, EndpointClassification endpointClassification, Repository repository)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Repository` | `getRepository()`

    - ### Methods inherited from class org.eclipse.rdf4j.federated.endpoint.EndpointBase

      `equals, getConnection, getEndpoint, getEndpointClassification, getEndpointConfiguration, getFreshConnection, getId, getName, getRepoInfo, getTripleSource, getType, hashCode, init, isInitialized, isLocal, isWritable, setEndpointClassification, setEndpointConfiguration, setWritable, shutDown, size, toString, useSingleConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### repository

          protected final Repository repository

  - ### Constructor Detail

    - #### RepositoryEndpoint

          public RepositoryEndpoint(RepositoryInformation repoInfo,
                                    String endpoint,
                                    EndpointClassification endpointClassification,
                                    Repository repository)

  - ### Method Detail

    - #### getRepository

          public Repository getRepository()

      Returns:
        the initialized `Repository`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.